edu.isi.pegasus.planner.catalog.classes

## Class VDSSysInfo2NMI

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.classes.VDSSysInfo2NMI

    public class VDSSysInfo2NMI
    extends java.lang.Object

An Adapter class that translates the old ( VDS era ) Arch and Os objects to the new NMI based Architecture and OS objects.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`private static java.util.Map` `mVDSArchToNMIArch` The map storing architecture to corresponding NMI architecture platforms.
`private static java.util.Map<Os,SysInfo.OS>` `mVDSOSToNMIOS` The map storing OS to corresponding NMI OS platforms.
`static java.lang.String` `OS_COMBINE_SEPARATOR` The separator used to combine OS version and release.

### Constructor Summary

Constructors
Constructor and Description
`VDSSysInfo2NMI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)`
`static SysInfo.Architecture` `vdsArchToNMIArch(Arch arch)` Returns the NMI Architecture object corresponding to the VDS Arch object
`static SysInfo.Architecture` `vdsArchToNMIArch(java.lang.String arch)` Returns the NMI Architecture object corresponding to the VDS Arch object
`private static java.util.Map<Arch,SysInfo.Architecture>` `vdsArchToNMIArchMap()` Singleton access to the architecture to NMI arch map.
`static SysInfo.OS` `vdsOsToNMIOS(Os os)` Returns the NMI OS object corresponding to the VDS Os object
`static SysInfo.OS` `vdsOsToNMIOS(java.lang.String os)` Returns the NMI OS object corresponding to the VDS Os object
`private static java.util.Map<Os,SysInfo.OS>` `vdsOsToNMIOSMap()` Singleton access to the os to NMI os map.
`static SysInfo` `vdsSysInfo2NMI(VDSSysInfo sysinfo)` Converts VDS SysInfo to NMI based SysInfo object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OS_COMBINE_SEPARATOR

    public static final java.lang.String OS_COMBINE_SEPARATOR

The separator used to combine OS version and release.

See Also:
  Constant Field Values

#### mVDSArchToNMIArch

    private static java.util.Map mVDSArchToNMIArch

The map storing architecture to corresponding NMI architecture platforms.

#### mVDSOSToNMIOS

    private static java.util.Map<Os,SysInfo.OS> mVDSOSToNMIOS

The map storing OS to corresponding NMI OS platforms.

### Constructor Detail

#### VDSSysInfo2NMI

    public VDSSysInfo2NMI()

### Method Detail

#### vdsArchToNMIArchMap

    private static java.util.Map<Arch,SysInfo.Architecture> vdsArchToNMIArchMap()

Singleton access to the architecture to NMI arch map.

Returns:
  Map mapping VDS Arch to NMI architecture

#### vdsOsToNMIOSMap

    private static java.util.Map<Os,SysInfo.OS> vdsOsToNMIOSMap()

Singleton access to the os to NMI os map.

Returns:
  Map mapping VDS Os to NMI OS

#### vdsSysInfo2NMI

    public static SysInfo vdsSysInfo2NMI(VDSSysInfo sysinfo)

Converts VDS SysInfo to NMI based SysInfo object

Parameters:
  `sysinfo` - VDS based SysInfo object
Returns:
  NMI SysInfo object.

#### vdsArchToNMIArch

    public static SysInfo.Architecture vdsArchToNMIArch(Arch arch)

Returns the NMI Architecture object corresponding to the VDS Arch object

Parameters:
  `arch` - architecture in the VDS format.
Returns:
  NMI Architecture

#### vdsArchToNMIArch

    public static SysInfo.Architecture vdsArchToNMIArch(java.lang.String arch)

Returns the NMI Architecture object corresponding to the VDS Arch object

Parameters:
  `arch` - architecture in the VDS format.
Returns:
  NMI Architecture

#### vdsOsToNMIOS

    public static SysInfo.OS vdsOsToNMIOS(Os os)

Returns the NMI OS object corresponding to the VDS Os object

Parameters:
  `os` - os in the VDS format.
Returns:
  NMI OS

#### vdsOsToNMIOS

    public static SysInfo.OS vdsOsToNMIOS(java.lang.String os)

Returns the NMI OS object corresponding to the VDS Os object

Parameters:
  `os` - os in the VDS format.
Returns:
  NMI OS

#### main

    public static void main(java.lang.String[] args)